﻿namespace Infrastructure;

public class PageData<T>
{
    public PageData()
    {
    }

    public PageData(int page, int pageSize, int totalPages, int totalItems, List<T> data)
    {
        Page = page;
        PageSize = pageSize;
        TotalItems = totalItems;
        TotalPages = totalPages;
        Data = data;
    }

    public int Page { get; set; }

    public int PageSize { get; set; }

    public int TotalPages { get; set; }

    public int TotalItems { get; set; }

    public List<T> Data { get; set; }
}